// --------------------------------------------------------------------
// Panel Analogique du Mi-8
// --------------------------------------------------------------------

function panel_analog_update(KaTZPit_data){
	
	
		// Animation des jauges-----------------------------------------------------------------------
		// Rotation Aiguilles Moteur (origine et gain dans les fonctions)
		// Fonction de la valeur brute exportée par DCS , 
		
		Rotate_Airspeed(KaTZPit_data["IAS"])
		Rotate_Vario(KaTZPit_data["Vario"])
		Rotate_Altirad(KaTZPit_data["QFE"])
		Rotate_Altitude(KaTZPit_data["QNH"])
		Rotate_Altitude1000(KaTZPit_data["QNH"]/10)
		Rotate_Pitch(KaTZPit_data["Pitch_Rot"])
		Rotate_RPM2((KaTZPit_data["RPM_L"]), (KaTZPit_data["RPM_R"]))
		Rotate_RPM(KaTZPit_data["RPM_Rot"])
}	

	
	
	
function Rotate_Airspeed(val){
	var a_origine = 0
	var l_gain = 0.34


	
	$("#AIG_Airspeed").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Vario(val){

	
	var a_origine = -90
	// Valeur brute 1000 >> -30m/s >> 180°
	var l_gain = 0.18
	

	
	$("#AIG_Vario").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Altirad(val){
	var a_origine = 0
	var l_gain = 0.325


	
	$("#AIG_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Altitude(val){
	var a_origine = 0
	var l_gain = 0.360


	
	$("#AIG_Altitude").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Altitude1000(val){
	var a_origine = 0
	var l_gain = 0.360


	
	$("#AIG_Alti1000").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Pitch(val){
	var a_origine = 255
	var l_gain = 0.21


	
	$("#AIG_Pitch").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_RPM(val){
	var a_origine = 45
	// La valeur a été convertie dans l'export, on recorrige
	var l_gain = 3.4 / 1.10


	
	$("#AIG_RPM_Rot").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}
					
			
	

// Rotation des aiguilles moteurs (left, right), avions Russes
// Le gain est ajusté pour faire correspondre 
// le placement de l'aiguille avec la valeur exacte

function Rotate_RPM2(l,r){
	var a_origine = 45
	// La valeur a été convertie dans l'export, on recorrige
	var l_gain = 3.4 / 1.10
	var r_gain = 3.4 / 1.10

	
	$("#AIG_RPM_Eng_L").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
	})

	$("#AIG_RPM_Eng_R").css({
		'-moz-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
		'-ms-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
	})
}


	
